#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>
#include <conio.h>

#define VEL 40
#define SIR 60
#define PI 3.14159265

int values[VEL];

void sloupec(int x)
{
	int i;
	if (x > SIR) x = SIR;
	for (i = 0; i < x; i++)
	{
		putchar('*');
	}
}

void sloupec2(int x)
{
	int i;
	for (i = 0; i <= SIR; i++)
	{
		if (i<=x)
			putchar('*');
		else
			putchar('.');
	}
}

void sloupec3(int x)
{
	char znaky[2] = { '.', '*' };
	int i;
	for (i = 0; i <= SIR; i++)
	{
		putchar(znaky[i<=x]);
	}
}

/*
void napln()
{
	int i;
	float x, y;
	puts("Naplnuji data");
	for (i = 0; i < VEL; i++)
	{
		y = (i*720/VEL) * PI / 180.0;
		x = 100 * sin(y);
		values[i] = (int) x;// 10 + 3 * i;
	}
}
*/

void napln()
{
	int i;
	puts("Naplnuji data");
	srand(time(NULL));
	for (i = 0; i < VEL; i++)
	{
		values[i] = rand();
	}
}

int maxx()
{
	int i, x;
	x = values[0];
	for (i = 1; i < VEL; i++)
	{
		if (values[i] > x) x = values[i];
	}
	return x;
}

int minx()
{
	int i, x;
	x = values[0];
	for (i = 1; i < VEL; i++)
	{
		if (values[i] < x) x = values[i];
	}
	return x;
}

void vykresli()
{
	int i,x,q;
	printf("Vykresluji\n");
	for (i = 0; i < VEL; i++)
	{
		x = values[i];
		printf("%3d %5d ", i + 1, x);
		q = maxx() - minx();
		x = ((x-minx()) * SIR) / q;
		sloupec3(x);
		putchar('\n');
	}
}

int pokracuj(char x)
{
	switch (x) {
	case 'Y':
	case 'y':
	case 'A':
	case 'a':
		return 1;
	}
	return 0;
}

int main()
{
	char c='Y';
	while (pokracuj(c))
	{
		napln();
		vykresli();
		printf("Pokracovat Y/N: ");
		c = _getche();
		putchar('\n');
	}
	return 0;
}